Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.start
Class JarVersion

    java.lang.Object
      org.eclipse.jetty.start.JarVersion

    public class JarVersion

extends java.lang.Object

Attempt to determine the version of the Jar File based on common version locations.

Constructor Summary
`JarVersion()`

Method Summary
`static java.lang.String` | `getVersion(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarVersion

    public JarVersion()

Method Detail

### getVersion

    public static java.lang.String getVersion(java.io.File file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.